Upstream information

CVE-2014-3215 at MITRE

Description

seunshare in policycoreutils 2.2.5 is owned by root with 4755 permissions, and executes programs in a way that changes the relationship between the setuid system call and the getresuid saved set-user-ID value, which makes it easier for local users to gain privileges by leveraging a program that mistakenly expected that it could permanently drop privileges.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.9
Vector AV:L/AC:M/Au:N/C:C/I:C/A:C
Access Vector Local
Access Complexity Medium
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
SUSE Bugzilla entry: 876832 [RESOLVED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11 SP4
  • libcap-ng >= 0.6.3-1.9.6
  • libcap-ng-utils >= 0.6.3-1.9.6
  • libcap-ng0 >= 0.6.3-1.9.6
  • libcap-ng0-32bit >= 0.6.3-1.9.6
Patchnames:
slessp4-libcap-ng-12965
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • libcap-ng >= 0.6.3-1.9.6
  • libcap-ng-utils >= 0.6.3-1.9.6
  • libcap-ng0 >= 0.6.3-1.9.6
  • libcap-ng0-32bit >= 0.6.3-1.9.6
Patchnames:
slessp4-libcap-ng-12965
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libcap-ng >= 0.6.3-1.9.6
  • libcap-ng-devel >= 0.6.3-1.9.6
  • python-capng >= 0.6.3-1.9.6
Patchnames:
sdksp4-libcap-ng-12965
openSUSE 12.3
  • libcap-ng >= 0.6.6-11.4.1
  • libcap-ng-debugsource >= 0.6.6-11.4.1
  • libcap-ng-devel >= 0.6.6-11.4.1
  • libcap-ng-python >= 0.6.6-11.4.1
  • libcap-ng-python-debugsource >= 0.6.6-11.4.1
  • libcap-ng-utils >= 0.6.6-11.4.1
  • libcap-ng-utils-debuginfo >= 0.6.6-11.4.1
  • libcap-ng0 >= 0.6.6-11.4.1
  • libcap-ng0-32bit >= 0.6.6-11.4.1
  • libcap-ng0-debuginfo >= 0.6.6-11.4.1
  • libcap-ng0-debuginfo-32bit >= 0.6.6-11.4.1
  • python-capng >= 0.6.6-11.4.1
  • python-capng-debuginfo >= 0.6.6-11.4.1
Patchnames:
openSUSE-2014-401
openSUSE 13.1
  • libcap-ng >= 0.7.3-2.4.1
  • libcap-ng-debugsource >= 0.7.3-2.4.1
  • libcap-ng-devel >= 0.7.3-2.4.1
  • libcap-ng-python >= 0.7.3-2.4.1
  • libcap-ng-python-debugsource >= 0.7.3-2.4.1
  • libcap-ng-utils >= 0.7.3-2.4.1
  • libcap-ng-utils-debuginfo >= 0.7.3-2.4.1
  • libcap-ng0 >= 0.7.3-2.4.1
  • libcap-ng0-32bit >= 0.7.3-2.4.1
  • libcap-ng0-debuginfo >= 0.7.3-2.4.1
  • libcap-ng0-debuginfo-32bit >= 0.7.3-2.4.1
  • python-capng >= 0.7.3-2.4.1
  • python-capng-debuginfo >= 0.7.3-2.4.1
Patchnames:
openSUSE-2014-401


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 SP2 libcap-ng Released
SUSE Linux Enterprise Desktop 11 SP3 libcap-ng Released
SUSE Linux Enterprise Desktop 11 SP4 libcap-ng Released
SUSE Linux Enterprise SDK 11 SP2 libcap-ng Released
SUSE Linux Enterprise SDK 11 SP3 libcap-ng Released
SUSE Linux Enterprise SDK 11 SP4 libcap-ng Released
SUSE Linux Enterprise Server 11 SP1 LTSS libcap-ng Released
SUSE Linux Enterprise Server 11 SP2 libcap-ng Released
SUSE Linux Enterprise Server 11 SP2 LTSS libcap-ng Released
SUSE Linux Enterprise Server 11 SP3 libcap-ng Released
SUSE Linux Enterprise Server 11 SP3 LTSS libcap-ng Released
SUSE Linux Enterprise Server 11 SP4 libcap-ng Released
SUSE Linux Enterprise Server for SAP Applications 11 SP2 libcap-ng Released
SUSE Linux Enterprise Server for VMWare 11 SP2 libcap-ng Released
SUSE Linux Enterprise Server for VMWare 11 SP3 libcap-ng Released